# This file is a template, and might need editing before it works on your project.
# use docker image with latex preinstalled
# since there is no official latex image, use https://github.com/blang/latex-docker
# possible alternative: https://github.com/natlownes/docker-latex
image: vincentxavier/latex

build:
  script:
    - apt update
    - apt dist-upgrade -y --without-install-recommends
    - apt install -y lmodern
    - latexmk -pdf
  artifacts:
    paths:
      - "*.pdf"
